﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ConvertToNumbers
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        // Let the computer know the alphabet
        public char[] alphabet = { 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', ' ', '!', '"', '£', '$', '%', '^', '&', '*', '(', ')', '.', ',', '#', '?', '\n' };
        // The numbers which correspond with the alphabet
        public int[] numbers = { 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51 };

        string ConvertToNumbers(string input) // Function to convert to numbers
        {
            string output = ""; // The final output string
            foreach (char letter in input) // For every character in the input string
            {
                int x = 0;
                while (x < 26)  // Go through ever letter in the alphabet array
                {
                    if (alphabet[x] == letter)
                    {
                        break; // If the current character is the same as the alphabet[x], then stop the loop
                    }
                    x++; // Move onto next letter in the alphabet
                }
                output = output + numbers[x].ToString(); // Add the number to the current output
            }
            return output;
        }

        private void btnConvert_Click(object sender, EventArgs e)
        {
            txtOutput.Text = ConvertToNumbers(txtInput.Text.ToLower());
        }

        string ConvertToText(string input)
        {
            string output = ""; // Declare the output string
            int x = 0;
            int y = 0;
            string cwo = ""; // Currently Working On
            foreach (char number in input)
            {
                switch (y) // If y is...
                {
                    case 0:  // 0 then
                        cwo = number.ToString(); // set CWO to the number
                        y = 1; // Change y to 1
                        break;
                    case 1: // 1 then
                        cwo = cwo + number; // Add the second digit of the number to the first one
                        while (x < 26)
                        {
                            if (cwo == numbers[x].ToString()) // Find the place in the numbers array
                            {
                                break;
                            }
                            x++;
                        }
                        y = 0;
                        output = output + alphabet[x]; // Swap the number with the letter from the alphabet array
                        x = 0;
                        break;
                }
                
            }
            return output;
        }

        private void btnConvertBack_Click(object sender, EventArgs e)
        {
            txtInput.Text = ConvertToText(txtOutput.Text);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            txtInput.Clear();
        }

        private void btnClearOut_Click(object sender, EventArgs e)
        {
            txtOutput.Clear();
        }
            

    }
}
